using System;
using System.Data;
using System.Web;
using System.Web.UI;
using BoyunBase;
using SiteCore;

public partial class Part_CorpSearch : System.Web.UI.UserControl
{
    protected void Page_Load( object sender, EventArgs e )
    {
        try {
            if( IsPostBack ) return;

            PartAccess pAcs = new PartAccess( this );
            if( !pAcs.IsReady ) return;

            string waterMaskText = pAcs.GetSetting( "waterMaskText" );
            string resultPage = pAcs.GetSetting( "resultPage" );
            tbKeyword.Attributes.Add( "wm", waterMaskText );
            tbKeyword.Attributes.Add( "onblur", "wmBlur(this);" );
            tbKeyword.Attributes.Add( "onfocus", "wmFocus(this);" );
            btnSearch.Attributes.Add( "path", resultPage );

        } catch( Exception ex ) {
            Todo.DebugOut( "加载 Part_CorpSearch 出现异常：" + ex.Message );
        }
    }
}
